{ ... }:
let
  trustedFriendGroups = [
    "production-hydra-db"
  ];
in
{
  users.users = {
    ninjatrappeur = {
      isNormalUser = true;
      home = "/home/ninjatrappeur";
      shell = "/run/current-system/sw/bin/zsh";
      uid = 2000;
      extraGroups = trustedFriendGroups;
      openssh.authorizedKeys.keyFiles = [ ./keys/ninjatrappeur.keys ];
    };
    linus = {
      isNormalUser = true;
      home = "/home/linus";
      shell = "/run/current-system/sw/bin/zsh";
      uid = 2001;
      extraGroups = trustedFriendGroups;
      openssh.authorizedKeys.keyFiles = [ ./keys/linus.keys ];
    };
  };
}
